#
# spec file for package snapper
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           snapper
Version:        0.0.6
Release:        3
License:        GPL
Group:          System/Packages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         snapper-%{version}.tar.bz2
Prefix:         /usr
BuildRequires:  blocxx-devel boost-devel dejagnu doxygen gcc-c++ libxml2-devel
Requires:       libsnapper1 = %version
Recommends:     cron logrotate
Summary:        Tool for filesystem snapshot management
Url:            http://en.opensuse.org/Portal:Snapper

%description
This package contains snapper, a tool for filesystem snapshot management.

Authors:
--------
    Arvin Schnell <aschnell@suse.de>

%prep
%setup -n snapper-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} --disable-silent-rules
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"

%{find_lang} snapper

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f snapper.lang
%defattr(-,root,root)
%{prefix}/bin/snapper
%doc %{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/logrotate.d/snapper
/etc/cron.hourly/suse.de-snapper
/etc/cron.daily/suse.de-snapper

%package -n libsnapper1

Summary:        Library for filesystem snapshot management
Group:          System/Libraries
Requires:       btrfsprogs diffutils util-linux
PreReq:         %fillup_prereq

%description -n libsnapper1
This package contains libsnapper, a library for filesystem snapshot management.

Authors:
--------
    Arvin Schnell <aschnell@suse.de>

%files -n libsnapper1
%defattr(-,root,root)
%{_libdir}/libsnapper.so.*
%dir %{_sysconfdir}/snapper
%dir %{_sysconfdir}/snapper/configs
%dir %{_sysconfdir}/snapper/config-templates
%config(noreplace) %{_sysconfdir}/snapper/config-templates/default
%dir %{_sysconfdir}/snapper/filters
%config(noreplace) %{_sysconfdir}/snapper/filters/*.txt
%doc %dir %{prefix}/share/doc/packages/snapper
%doc %{prefix}/share/doc/packages/snapper/AUTHORS
%doc %{prefix}/share/doc/packages/snapper/COPYING
/var/adm/fillup-templates/sysconfig.snapper
%dir %{prefix}/lib/snapper
%dir %{prefix}/lib/snapper/bin
%{prefix}/lib/snapper/bin/compare-dirs

%post -n libsnapper1
/sbin/ldconfig
%{fillup_only -n snapper}

%postun -n libsnapper1
/sbin/ldconfig

%package -n libsnapper-devel

Requires:       libsnapper1 = %version
Requires:       gcc-c++ libstdc++-devel boost-devel blocxx-devel libxml2-devel
Summary:        Header files and documentation for libsnapper
Group:          Development/Languages/C and C++

%description -n libsnapper-devel
This package contains header files and documentation for developing with
libsnapper.

Authors:
--------
    Arvin Schnell <aschnell@suse.de>

%files -n libsnapper-devel
%defattr(-,root,root)
%{_libdir}/libsnapper.la
%{_libdir}/libsnapper.so
%{prefix}/include/snapper
%changelog
